Subject: Re: r8169 on 3.8.13, 3.9.2, 3.10-rc1, was Re: [ 00/73] 3.8.13-stable review

From: Ken Moffat <[email-masked]>
Date: Wed, 15 May 2013 18:09:47 +0100

On Wed, May 15, 2013 at 08:14:01AM +0200, Francois Romieu wrote:
> Ken Moffat <[email-masked]> :
> [...]
> >  Cc'ing to netdev because I don't think this has had a response, and
> 
> A patch has been sent to netdev a few hours ago. It needs more work,
> especially testing (hint, hint) as I don't have a proven test case yet.
> 
> Please note:
> - if you don't use a 8168evl (check your dmesg for the XID line emitted
>   by the r8169 driver), you are not the experiencing the same bug.
[    3.174180] r8169 0000:02:00.0 eth0: RTL8168evl/8111evl at
0xffffc90000008000, c8:60:00:97:07:35, XID 0c900800 IRQ 41

> - if you don't enable Tx checksum offload (distro/vendor dependent though
>   disabled by default in the vanilla driver, see ethtool -k eth0,
>   ethtool -K eth0 tx on sg on)), you are not the experiencing the same
>   bug.

 If it is disabled by default then my problem is different (I don't
have an ethtool program)

> - if you are experiencing the same bug, 3.10-rc1 should work again
>   after reverting e5195c1f31f399289347e043d6abf3ffa80f0005
> 
> If someone comes with a failing network capture and a working one, it will
> save time. A 64 bytes (max) packet is not correctly transmitted.
> 
> -- 
> Ueimor

 Thanks for the detailed comments, looks as if my intermittent
problem is something else.

ken
-- 
das eine Mal als Tragödie, das andere Mal als Farce